# Administration Reference

## kas create

Purpose

Creates an entry in the Authentication Database

Synopsis

    kas create -name <name of user>  [-initial_password <initial password>]
               [-admin_username <admin principal to use for authentication>]
               [-password_for_admin <admin password>]  [-cell <cell name>]
               [-servers <explicit list of authentication servers>+]
               [-noauth]  [-help]

    kas c -na <name of user>  [-i <initial password>]
          [-a <admin principal to use for authentication>]
          [-p <admin password>]  [-c <cell name>]
          [-s <explicit list of authentication servers>+]  [-no]  [-h]

Description

The kas create command creates an entry in the Authentication Database for the user named by the -name argument.

To avoid having the account's initial password echo visibly at the shell prompt, omit the -initial_password argument; the command interpreter prompts for the password and does not echo it visibly. Whether or not -initial_password is omitted, the Authentication Server converts the password into a form suitable for use as an encryption key, and records it in the entry's key field.

To alter settings in an Authentication Database entry, use the kas setfields command. To examine an entry, use the kas examine command. To list every entry in the database, use the kas list command.

Options

-name
  Names the new Authentication Database entry. Because it is the name under which the user logs in, it must obey the restrictions that many operating systems impose on user names (usually, to contain no more than eight lowercase letters).

-initial_password
  Sets the user's password; provide a character string that can include uppercase and lowercase letters, numerals and punctuation. The Authentication Server scrambles the string into an octal string suitable for use as an encryption key before placing it in the entry's key field. If this argument is omitted, the command interpreter prompts for the string and does not echo it visibly.

-admin_username
  Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see the introductory kas reference page.

-password_for_admin
  Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see the introductory kas reference page.

-cell
  Names the cell in which to run the command. For more details, see the introductory kas reference page.

-servers
  Names each machine running an Authentication Server with which to establish a connection. For more details, see the introductory kas reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory kas reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example shows the prompts that appear when an administrator logged in as admin creates an Authentication Database entry for the user smith, and does not include either the -initial_password or -password_for_admin arguments.

       % kas create smith
       Password for admin:
       initial_password:
       Verifying, please re-enter initial_password:

Privilege Required

The issuer must have the `ADMIN` flag set on his or her Authentication Database entry.

Related Information

kas

kas examine

kas list

kas setfields

© IBM Corporation 2000. All Rights Reserved